(**
 * The First-Order LoopW Proof Checker compiler.
 *
 * The compiler calls several modules in order to
 * perform the requested tasks.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature COMPILER = sig

(**
 * The type of compiling parameters.
 *)
type compilerParams = 
	{ (** the path of the source file which contains the imperative program ".proof". *)
	  sourceFile : string,
	  (** the source file name prefix. *)
	  fileNamePrefix : string,
	  (** the verbosity level (0: nothing, ..., 3: very verbose). *)
	  verbLevel : int,
	  (** asks the compiler to write the untyped program in a file ".pcs". *)
	  printUntyped : bool,
	  (** asks the compiler to write the translated functional program in a file ".sml". *)
	  printFun : bool
	}

(**
 * performs type inference and on-demand functional translation.
 *
 * @params params
 * @param params the compiling parameters.
 *)
val compile
	: compilerParams -> unit

end

