(**
 * The First-Order LoopW Proof Checker functional pretty-printer.
 *
 * The functional pretty-printer converts functional terms into string.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature FUN_PRETTY_PRINTER = sig

(**
 * builds a string representation of a typing environment.
 *
 * @params env
 * @param env the environment.
 *
 * @return the string representation of env.
 *)
val stringOfEnv
	: (FunAst.ident * FunAst.expType) list -> string

(**
 * builds a string representation of a type.
 *
 * @params t
 * @param t the type.
 *
 * @return the string representation of t.
 *)
val stringOfType
	: FunAst.expType -> string

(**
 * builds a string representation of a term.
 *
 * @params t
 * @param t the term.
 *
 * @return the string representation of t.
 *)
val stringOfTerm
	: FunAst.typed_term -> string list

end

