(**
 * The First-Order LoopW Proof Checker translator into functional syntax.
 *
 * The functional translator converts imperative programs into functional terms.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature FUN_TRANSLATION = sig

(**
 * translate a complete imperative program into a functional typed term.
 *
 * @params p
 * @param p the imperative program.
 *
 * @return the functional term p*.
 *)
val translateProgram
	: ProofAst.sequence -> FunAst.typed_term

end

