(**
 * The First-Order LoopW Type Inference pretty-printer keywords for abstract syntax.
 *
 * The pretty-printer keywords providing string representation of all keywords, accordingly to the tex flag.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature PRETTY_PRINTER_KEYWORDS = sig

(**
 * forall keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of forall.
 *)
val kwdForall
	: bool -> string

(**
 * exists keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of exists.
 *)
val kwdExists
	: bool -> string

(**
 * and keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of and.
 *)
val kwdAnd
	: bool -> string

(**
 * implies keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of implies.
 *)
val kwdImplies
	: bool -> string

(**
 * neg keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of neg.
 *)
val kwdNeg
	: bool -> string

(**
 * top keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of top.
 *)
val kwdTop
	: bool -> string

(**
 * bot keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of bot.
 *)
val kwdBot
	: bool -> string

(**
 * star keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of star.
 *)
val kwdStar
	: bool -> string

(**
 * | keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of |.
 *)
val kwdVBar
	: bool -> string

(**
 * |- keyword.
 *
 * @params tex
 * @param tex the tex flag.
 *
 * @return the string representation of |-.
 *)
val kwdVdash
	: bool -> string

(**
 * default keyword.
 *
 * @params tex k
 * @param tex the tex flag.
 * @param k the keyword.
 *
 * @return the string representation of k.
 *)
val kwd
	: bool -> string -> string

end

