(**
 * The First-Order LoopW Type Inference proof derivation pretty-printer.
 *
 * The proof derivation pretty-printer converts proof abstract syntax into string
 * containing both program and typing derivation.
 *
 * @author Tristan Crolard <crolard@univ-paris12.fr>
 * @author Emmanuel Polonowski <polonowski@univ-paris12.fr>
 * @version 0.2.4
 *)
signature PROOF_DERIV_PRETTY_PRINTER = sig

(**
 * converts program with typing derivation into string
 * accordingly to the formula/tex demand.
 *
 * @params form tex p
 * @param form the formula-display (instead of imperative types) flag.
 * @param tex the tex flag.
 * @param pr the string representation of the untyped program.
 * @param p the program.
 *
 * @return the string representation of p along with its partial typing derivation.
 *)
val stringOfTyping
	: bool -> bool -> string list -> ProofAst.program -> string list

end

